Pychar console error: xmlrpc.client.Fault : Fault 0: ‘ java.lang.NullPointerException

I just opened the PyCharm console and received an error:

/usr/bin/python3.5 /mnt/hgfs/vm_share/pycharm-2018.2.4/helpers/pydev/pydevconsole.py 37963 43001
import sys; print('Python %s on %s' % (sys.version, sys.platform))
sys.path.extend(['/home/wangjinyu/work1/work_practice'])
PyDev console: starting.
Python 3.5.2 (default, Nov 12 2018, 13:43:14) 
[GCC 5.4.0 20160609] on linux
Process (4857) start...
I (4857) just created a child process (4875).
I am child process (4875) and my parent is 4857.
Traceback (most recent call last):
  File "/usr/lib/python3.5/socketserver.py", line 681, in __init__
    self.handle()
  File "/usr/lib/python3.5/http/server.py", line 422, in handle
    self.handle_one_request()
  File "/usr/lib/python3.5/http/server.py", line 411, in handle_one_request
    self.wfile.flush() #actually send the response if not already done.
  File "/usr/lib/python3.5/socket.py", line 593, in write
    return self._sock.send(b)
BrokenPipeError: [Errno 32] Broken pipe
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.5/socketserver.py", line 313, in _handle_request_noblock
    self.process_request(request, client_address)
  File "/usr/lib/python3.5/socketserver.py", line 341, in process_request
    self.finish_request(request, client_address)
  File "/usr/lib/python3.5/socketserver.py", line 354, in finish_request
    self.RequestHandlerClass(request, client_address, self)
  File "/usr/lib/python3.5/socketserver.py", line 683, in __init__
    self.finish()
  File "/usr/lib/python3.5/socketserver.py", line 742, in finish
    self.wfile.close()
  File "/usr/lib/python3.5/socket.py", line 593, in write
    return self._sock.send(b)
BrokenPipeError: [Errno 32] Broken pipe
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 55852)
----------------------------------------
Traceback (most recent call last):
  File "/mnt/hgfs/vm_share/pycharm-2018.2.4/helpers/pydev/_pydevd_bundle/pydevd_comm.py", line 309, in run
    self._on_run()
  File "/mnt/hgfs/vm_share/pycharm-2018.2.4/helpers/pydev/_pydevd_bundle/pydevd_comm.py", line 1526, in _on_run
    self.send_result(xml)
  File "/mnt/hgfs/vm_share/pycharm-2018.2.4/helpers/pydev/_pydevd_bundle/pydevd_comm.py", line 1548, in send_result
    self.frame_accessor.ReturnFullValue(self.seq, xml.getvalue())
  File "/usr/lib/python3.5/xmlrpc/client.py", line 1092, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 1432, in __request
    verbose=self.__verbose
  File "/usr/lib/python3.5/xmlrpc/client.py", line 1134, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 1150, in single_request
    return self.parse_response(resp)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 1322, in parse_response
    return u.close()
  File "/usr/lib/python3.5/xmlrpc/client.py", line 655, in close
    raise Fault(**self._stack[0])
xmlrpc.client.Fault: <Fault 0: 'java.lang.NullPointerException'>

Thread. py is the name of the module that I created. The name of Thread. py is in conflict with the name of the system.


Read More: